import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_get_sn/flutter_get_sn.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_get_sn');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getSn', () async {
    expect(await FlutterGetSn.getSn(), '42');
  });
}
